# Class InvalidRoleValueException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.relation.RelationException
javax.management.relation.InvalidRoleValueException

All Implemented Interfaces:
  `Serializable`

public class InvalidRoleValueException extends RelationException
Role value is invalid. This exception is raised when, in a role, the number of referenced MBeans in given value is less than expected minimum degree, or the number of referenced MBeans in provided value exceeds expected maximum degree, or one referenced MBean in the value is not an Object of the MBean class expected for that role, or an MBean provided for that role does not exist.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidRoleValueException()`
  Default constructor, no message put in exception.
  `InvalidRoleValueException(String message)`
  Constructor with given message put in exception.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidRoleValueException

    public InvalidRoleValueException()
    Default constructor, no message put in exception.

  - ### InvalidRoleValueException

    public InvalidRoleValueException(String message)
    Constructor with given message put in exception.
    Parameters:
      `message` - the detail message.